Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlapll

    java.lang.Object
      org.netlib.lapack.Dlapll

    public class Dlapll

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  Given two column vectors X and Y, let
     *
     *                       A = ( X Y ).
     *
     *  The subroutine first computes the QR factorization of A = Q*R,
     *  and then computes the SVD of the 2-by-2 upper triangular matrix R.
     *  The smaller singular value of R is returned in SSMIN, which is used
     *  as the measurement of the linear dependency of the vectors X and Y.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The length of the vectors X and Y.
     *
     *  X       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          On entry, X contains the N-vector X.
     *          On exit, X is overwritten.
     *
     *  INCX    (input) INTEGER
     *          The increment between successive elements of X. INCX > 0.
     *
     *  Y       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCY)
     *          On entry, Y contains the N-vector Y.
     *          On exit, Y is overwritten.
     *
     *  INCY    (input) INTEGER
     *          The increment between successive elements of Y. INCY > 0.
     *
     *  SSMIN   (output) DOUBLE PRECISION
     *          The smallest singular value of the N-by-2 matrix A = ( X Y ).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlapll()`

Method Summary
`static void` | `dlapll(int n, double[] x, int _x_offset, int incx, double[] y, int _y_offset, int incy, doubleW ssmin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlapll

    public Dlapll()

Method Detail

### dlapll

    public static void dlapll(int n,
                              double[] x,
                              int _x_offset,
                              int incx,
                              double[] y,
                              int _y_offset,
                              int incy,
                              doubleW ssmin)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD